Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.runtime
Class NodeInterface

All Known Implementing Classes:
  Node

    public interface class NodeInterface

NodeInterface is the interface for Node, a managed CMSDK process.

(Published)

Field Summary
`static int` | `NODESTATUS_CONFIGURED` A Node that has only been configured.
`static int` | `NODESTATUS_DISPOSED` A Node that has been disposed.
`static int` | `NODESTATUS_RUNNING` A Node that is running.
`static int` | `NODESTATUS_STARTING` A Node that is starting.
`static int` | `NODESTATUS_STOPPED` A Node that is stopped.
`static int` | `NODESTATUS_STOPPING` A Node that is stopping.
`static int` | `NODESTATUS_UNKNOWN` A Node whose status is unknown.

Method Summary
`AttributeValue` | `getConfigurationValue(java.lang.String key)` Gets a Configuration value from the Configuration Table for this Node.
`int` | `getDesiredStatus()` Gets the desired status of this Node.
`java.lang.String` | `getIfsHome()` Gets the CM SDK home directory for this Node.
`java.lang.String` | `getNodeConfigurationName()` Gets the name of the Node configuration used to start this Node.
`java.lang.String` | `getNodeName()` Gets the name of this Node.
`NodeState` | `getNodeState(LibrarySession session)` Gets the NodeState for this Node.
`java.lang.String` | `getOracleHome()` Gets the Oracle home directory for this Server's node.
`java.lang.String` | `getServiceConfigurationName()` Gets the name of the Service Configuration.
`java.lang.String` | `getServiceName()` Gets the name of the default service for this Node.
`ServiceState` | `getServiceState(LibrarySession session)` Gets the ServiceState for the service that this Node manages.
`int` | `getStatus()` Gets the status of this Node.
`boolean` | `handleRuntimeStateEvent(LibrarySession session, AuditEvent event)` Handle a RuntimeState AuditEvent.
`void` | `postServerDisposedRequest(java.lang.String serverName, Server server)` Post request to respond to a Server indicating that it has been disposed.

Field Detail

### NODESTATUS_UNKNOWN

    static final int NODESTATUS_UNKNOWN

  Description copied from interface: `NodeInterface`
  A Node whose status is unknown.

  See Also:
    Constant Field Values
  (Published)

### NODESTATUS_STOPPED

    static final int NODESTATUS_STOPPED

  Description copied from interface: `NodeInterface`
  A Node that is stopped.

  See Also:
    Constant Field Values
  (Published)

### NODESTATUS_RUNNING

    static final int NODESTATUS_RUNNING

  Description copied from interface: `NodeInterface`
  A Node that is running.

  See Also:
    Constant Field Values
  (Published)

### NODESTATUS_STOPPING

    static final int NODESTATUS_STOPPING

  Description copied from interface: `NodeInterface`
  A Node that is stopping.

  See Also:
    Constant Field Values
  (Published)

### NODESTATUS_STARTING

    static final int NODESTATUS_STARTING

  Description copied from interface: `NodeInterface`
  A Node that is starting.

  See Also:
    Constant Field Values
  (Published)

### NODESTATUS_CONFIGURED

    static final int NODESTATUS_CONFIGURED

  Description copied from interface: `NodeInterface`
  A Node that has only been configured.

  See Also:
    Constant Field Values
  (Published)

### NODESTATUS_DISPOSED

    static final int NODESTATUS_DISPOSED

  Description copied from interface: `NodeInterface`
  A Node that has been disposed.

  See Also:
    Constant Field Values
  (Published)

Method Detail

### getNodeName

    java.lang.String getNodeName()

  Description copied from interface: `NodeInterface`
  Gets the name of this Node.

  Returns:
    the name
  (Published)

### getNodeConfigurationName

    java.lang.String getNodeConfigurationName()

  Description copied from interface: `NodeInterface`
  Gets the name of the Node configuration used to start this Node.

  Returns:
    the Node configuration name
  (Published)

### getServiceName

    java.lang.String getServiceName()

  Description copied from interface: `NodeInterface`
  Gets the name of the default service for this Node.

  Returns:
    the service name
  (Published)

### getServiceConfigurationName

    java.lang.String getServiceConfigurationName()

  Description copied from interface: `NodeInterface`
  Gets the name of the Service Configuration.

  Returns:
    the service configuration name
  (Published)

### getStatus

    int getStatus()

  Description copied from interface: `NodeInterface`
  Gets the status of this Node.

  Returns:
    the enumerated status
  (Published)

### getDesiredStatus

    int getDesiredStatus()

  Description copied from interface: `NodeInterface`
  Gets the desired status of this Node.

  Returns:
    the enumerated status
  (Published)

### getOracleHome

    java.lang.String getOracleHome()
                                   throws IfsException

  Description copied from interface: `NodeInterface`
  Gets the Oracle home directory for this Server's node.

  Returns:
    the Oracle home directory
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getIfsHome

    java.lang.String getIfsHome()
                                throws IfsException

  Description copied from interface: `NodeInterface`
  Gets the CM SDK home directory for this Node.

  Returns:
    the CM SDK home directory
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getConfigurationValue

    AttributeValue getConfigurationValue(java.lang.String key)
                                         throws IfsException

  Description copied from interface: `NodeInterface`
  Gets a Configuration value from the Configuration Table for this Node.

  Parameters:
    `key` - the configuration property key
  Returns:
    the Configuration value, or null if not defined
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getServiceState

    ServiceState getServiceState(LibrarySession session)
                                 throws IfsException

  Description copied from interface: `NodeInterface`
  Gets the ServiceState for the service that this Node manages.

  Returns:
    the ServiceState associated with the Service managed by this Node
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getNodeState

    NodeState getNodeState(LibrarySession session)
                           throws IfsException

  Description copied from interface: `NodeInterface`
  Gets the NodeState for this Node.

  Returns:
    the NodeState associated with this Node
  Throws:
    `IfsException` - if the operation fails
  (Published)

### handleRuntimeStateEvent

    boolean handleRuntimeStateEvent(LibrarySession session,
                                    AuditEvent event)
                                    throws IfsException

  Description copied from interface: `NodeInterface`
  Handle a RuntimeState AuditEvent.

  Parameters:
    `session` - the session context of the caller
    `event` - the RuntimeState event
  Returns:
    returns true if the event was handled by this Node, or can otherwise be ignored by all Nodes; returns false otherwise
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postServerDisposedRequest

    void postServerDisposedRequest(java.lang.String serverName,
                                   Server server)

  Description copied from interface: `NodeInterface`
  Post request to respond to a Server indicating that it has been disposed.

  Parameters:
    `serverName` - the name of the Server that was disposed
    `server` - the Server that was disposed
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD